%define		real_name	Net-IP

Distribution:	CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		perl-%{real_name}
Version:	1.25
Release:	1
Summary:	Perl module for manipulation of IPv4 and IPv6 addresses
Group:		Development/Libraries
License:	MIT
URL:		http://search.cpan.org/dist/Net-IP/
Source:		ftp://cpan.org/pub/CPAN/authors/id/M/MA/MANU/Net-IP-%{version}.tar.gz
Patch0:         %{name}-%{version}-bz197425.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}
Requires:       perl
BuildRequires:	perl
BuildArch:      noarch

%description
This is the Net::IP module for Perl, designed to allow easy
manipulation of IPv4 and IPv6 addresses.  Two applications using the
Net::IP module are included: ipcount, an IP address mini-calculator,
it can calculate the number of IP addresses in a prefix or all the
prefixes contained in a given range; and iptab, which prints out a
handy IP "cheat sheet".

%prep
%setup -q -n %{real_name}-%{version}
%patch0 -p1

%build
perl Makefile.PL %_prefix
make

%install
rm -Rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# removing unwanted stuff
if [ -f $RPM_BUILD_ROOT%_libdir/perl5/*/*/perllocal.pod ]; then
	rm -f $RPM_BUILD_ROOT%_libdir/perl5/*/*/perllocal.pod
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc COPYING Changes README
%_bindir
%_libdir
%_mandir

%changelog
* Mon Apr 27 2008 Christian Wasem <wasem@ccux-linux.de> 1.25-1
- Initial release